Module java.compiler
Package javax.annotation.processing

## Class Completions

- java.lang.Object
- - javax.annotation.processing.Completions

    public class Completions
    extends Object

Utility class for assembling `Completion` objects.

Since:
  1.6

### Method Summary

All Methods Static Methods Concrete Methods
`static Completion` `of(String value)` Returns a completion of the value and an empty message
`static Completion` `of(String value, String message)` Returns a completion of the value and message.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### of

    public static Completion of(String value,
                                String message)

Returns a completion of the value and message.

Parameters:
  `value` - the text of the completion
  `message` - a message about the completion
Returns:
  a completion of the provided value and message

#### of

    public static Completion of(String value)

Returns a completion of the value and an empty message

Parameters:
  `value` - the text of the completion
Returns:
  a completion of the value and an empty message